OGRE: Ogre::TerrainMaterialGenerator::Profile Class Reference - OGRE Documentation

Public Member Functions | Protected Attributes

# Ogre::TerrainMaterialGenerator::Profile Class Reference

Inner class which should also be subclassed to provide profile-specific material generation. More...

`#include <OgreTerrainMaterialGenerator.h>`

Inheritance diagram for Ogre::TerrainMaterialGenerator::Profile:
[legend]

List of all members.

## Public Member Functions
| Profile (TerrainMaterialGenerator *parent, const String &name, const String &desc)
| Profile (const Profile &prof)
virtual | ~Profile ()
TerrainMaterialGenerator * | getParent () const
| Get the generator which owns this profile.
const String & | getName () const
| Get the name of this profile.
const String & | getDescription () const
| Get the description of this profile.
virtual MaterialPtr | generate (const Terrain *terrain)=0
| Generate / resuse a material for the terrain.
virtual MaterialPtr | generateForCompositeMap (const Terrain *terrain)=0
| Generate / resuse a material for the terrain.
virtual uint8 | getMaxLayers (const Terrain *terrain) const =0
| Get the number of layers supported.
virtual void | updateCompositeMap (const Terrain *terrain, const Rect &rect)
| Update the composite map for a terrain.
virtual void | updateParams (const MaterialPtr &mat, const Terrain *terrain)=0
| Update params for a terrain.
virtual void | updateParamsForCompositeMap (const MaterialPtr &mat, const Terrain *terrain)=0
| Update params for a terrain.
virtual void | requestOptions (Terrain *terrain)=0
| Request the options needed from the terrain.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Attributes
TerrainMaterialGenerator * | mParent
String | mName
String | mDesc

## Detailed Description

Inner class which should also be subclassed to provide profile-specific material generation.

Definition at line 161 of file OgreTerrainMaterialGenerator.h.

## Constructor & Destructor Documentation

Ogre::TerrainMaterialGenerator::Profile::Profile | ( | TerrainMaterialGenerator * | parent,
|  | const String & | name,
|  | const String & | desc |
| ) |  |  |

Definition at line 168 of file OgreTerrainMaterialGenerator.h.

Ogre::TerrainMaterialGenerator::Profile::Profile | ( | const Profile & | prof | ) |

Definition at line 170 of file OgreTerrainMaterialGenerator.h.

virtual Ogre::TerrainMaterialGenerator::Profile::~Profile | ( |  | ) | `[virtual]`

Definition at line 172 of file OgreTerrainMaterialGenerator.h.

## Member Function Documentation

virtual MaterialPtr Ogre::TerrainMaterialGenerator::Profile::generate | ( | const Terrain * | terrain | ) | `[pure virtual]`

Generate / resuse a material for the terrain.

Implemented in Ogre::TerrainMaterialGeneratorA::SM2Profile.

Referenced by Ogre::TerrainMaterialGenerator::generate().

virtual MaterialPtr Ogre::TerrainMaterialGenerator::Profile::generateForCompositeMap | ( | const Terrain * | terrain | ) | `[pure virtual]`

Generate / resuse a material for the terrain.

Implemented in Ogre::TerrainMaterialGeneratorA::SM2Profile.

Referenced by Ogre::TerrainMaterialGenerator::generateForCompositeMap().

const String& Ogre::TerrainMaterialGenerator::Profile::getDescription | ( |  | ) | const

Get the description of this profile.

Definition at line 178 of file OgreTerrainMaterialGenerator.h.

virtual uint8 Ogre::TerrainMaterialGenerator::Profile::getMaxLayers | ( | const Terrain * | terrain | ) | const`[pure virtual]`

Get the number of layers supported.

Implemented in Ogre::TerrainMaterialGeneratorA::SM2Profile.

Referenced by Ogre::TerrainMaterialGenerator::getMaxLayers().

const String& Ogre::TerrainMaterialGenerator::Profile::getName | ( | void |  | ) | const

Get the name of this profile.

Definition at line 176 of file OgreTerrainMaterialGenerator.h.

TerrainMaterialGenerator* Ogre::TerrainMaterialGenerator::Profile::getParent | ( |  | ) | const

Get the generator which owns this profile.

Definition at line 174 of file OgreTerrainMaterialGenerator.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

virtual void Ogre::TerrainMaterialGenerator::Profile::requestOptions | ( | Terrain * | terrain | ) | `[pure virtual]`

Request the options needed from the terrain.

Implemented in Ogre::TerrainMaterialGeneratorA::SM2Profile.

Referenced by Ogre::TerrainMaterialGenerator::requestOptions().

virtual void Ogre::TerrainMaterialGenerator::Profile::updateCompositeMap | ( | const Terrain * | terrain,
|  | const Rect & | rect |
| ) |  |  | `[virtual]`

Update the composite map for a terrain.

Referenced by Ogre::TerrainMaterialGenerator::updateCompositeMap().

virtual void Ogre::TerrainMaterialGenerator::Profile::updateParams | ( | const MaterialPtr & | mat,
|  | const Terrain * | terrain |
| ) |  |  | `[pure virtual]`

Update params for a terrain.

Implemented in Ogre::TerrainMaterialGeneratorA::SM2Profile.

Referenced by Ogre::TerrainMaterialGenerator::updateParams().

virtual void Ogre::TerrainMaterialGenerator::Profile::updateParamsForCompositeMap | ( | const MaterialPtr & | mat,
|  | const Terrain * | terrain |
| ) |  |  | `[pure virtual]`

Update params for a terrain.

Implemented in Ogre::TerrainMaterialGeneratorA::SM2Profile.

Referenced by Ogre::TerrainMaterialGenerator::updateParamsForCompositeMap().

## Member Data Documentation

String Ogre::TerrainMaterialGenerator::Profile::mDesc`[protected]`

Definition at line 166 of file OgreTerrainMaterialGenerator.h.

String Ogre::TerrainMaterialGenerator::Profile::mName`[protected]`

Definition at line 165 of file OgreTerrainMaterialGenerator.h.

TerrainMaterialGenerator* Ogre::TerrainMaterialGenerator::Profile::mParent`[protected]`

Definition at line 164 of file OgreTerrainMaterialGenerator.h.

The documentation for this class was generated from the following file:

- OgreTerrainMaterialGenerator.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:04